<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://schemas.haulmont.com/cuba/screen/window.xsd"
        xmlns:c="http://schemas.haulmont.com/cuba/screen/jpql_condition.xsd"
        caption="msg://investmentRolePreferenceBrowse.caption"
        focusComponent="investmentRolePreferencesTable"
        messagesPack="com.bitsolution.urundana.web.screens.master.investmentrolepreference">
    <data readOnly="true">
        <collection id="investmentRolePreferencesDc"
                    class="com.bitsolution.urundana.entity.master.InvestmentRolePreference">
            <view extends="_local"/>
            <loader id="investmentRolePreferencesDl">
                <query>
                    <![CDATA[select e from urundana_InvestmentRolePreference e]]>
                </query>
            </loader>
        </collection>
    </data>
    <dialogMode height="600"
                width="800"/>
    <layout expand="investmentRolePreferencesTable"
            spacing="true">
        <filter id="filter"
                applyTo="investmentRolePreferencesTable"
                dataLoader="investmentRolePreferencesDl">
            <properties include=".*"/>
        </filter>
        <dataGrid id="investmentRolePreferencesTable"
                  width="100%"
                  dataContainer="investmentRolePreferencesDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
                <action id="refresh" type="refresh"/>
                <action id="excel" type="excel"/>
            </actions>
            <columns>
                <column property="id" id="id"/>
                <column property="code" id="code"/>
                <column property="label" id="label"/>
                <column property="label2nd" id="label2nd"/>
                <column property="description" id="description"/>
                <column property="description2nd" id="description2nd"/>
            </columns>
            <rowsCount/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="investmentRolePreferencesTable.create"/>
                <button id="editBtn" action="investmentRolePreferencesTable.edit"/>
                <button id="removeBtn" action="investmentRolePreferencesTable.remove"/>
                <button id="refreshBtn" action="investmentRolePreferencesTable.refresh"/>
                <button id="excelBtn" action="investmentRolePreferencesTable.excel"/>
            </buttonsPanel>
        </dataGrid>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
